"use strict";
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("@jupyter-widgets/base");
const notebook_1 = require("@jupyterlab/notebook");
const widget_1 = require("./widget");
const version_1 = require("./version");
const EXTENSION_ID = 'dapla-jupyterlab-widgets:plugin';
/**
 * The ActiveNotebook plugin.
 */
const activeNotebookPlugin = {
    id: EXTENSION_ID,
    requires: [base_1.IJupyterWidgetRegistry, notebook_1.INotebookTracker],
    activate: activateWidgetExtension,
    autoStart: true,
};
// the "as unknown as ..." typecast above is solely to support JupyterLab 1
// and 2 in the same codebase and should be removed when we migrate to Lumino.
exports.default = activeNotebookPlugin;
/**
 * Activate the widget extension.
 */
function activateWidgetExtension(app, registry, tracker) {
    let widgetTitle = '';
    tracker.currentChanged.connect(() => {
        if (tracker.currentWidget != null) {
            widgetTitle = tracker.currentWidget.title.label;
            console.log("Setting tracker value " + widgetTitle);
        }
    });
    let ActiveNotebookView = class extends base_1.DOMWidgetView {
        initialize(parameters) {
            console.log("ExampleView initialized");
            super.initialize(parameters);
            this.model.set('title', widgetTitle);
            this.model.save_changes();
        }
        render() {
            console.log('init ActiveNotebookView');
        }
    };
    registry.registerWidget({
        name: version_1.MODULE_NAME,
        version: version_1.MODULE_VERSION,
        exports: {
            ActiveNotebookModel: widget_1.ActiveNotebookModel,
            ActiveNotebookView: ActiveNotebookView
        },
    });
}
//# sourceMappingURL=plugin.js.map